## liburcu 0.15.3

=== debian/changelog ===
liburcu (0.15.3-1) unstable; urgency=medium

  * [303c02d] New upstream version 0.15.3
  * [1b193c7] Bump standards version to 4.7.2
  * [b9a6a7b] Update debian/copyright
  * [4c2d7a0] Update upstream signing key

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 11:10:00 -0400
