=== debian/changelog ===
liburcu (0.15.4-1) unstable; urgency=medium

  * [67a2d7c] New upstream version 0.15.4

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Nov 2025 13:22:36 -0500
