=== debian/changelog ===
liburcu (0.15.5-1) unstable; urgency=medium

  * [e7fedf0] New upstream version 0.15.5

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 12 Nov 2025 11:00:24 -0500
