=== debian/control ===
Source: liburcu
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Vcs-Git: https://salsa.debian.org/debian/liburcu.git
Vcs-Browser: https://salsa.debian.org/debian/liburcu
Homepage: https://liburcu.org/

Package: liburcu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liburcu8t64 (= ${binary:Version})
Description: userspace RCU (read-copy-update) library - development files
 This data synchronization library provides read-side access which scales
 linearly with the number of cores. It does so by allowing multiples copies of
 a given data structure to live at the same time, and by monitoring the data
 structure accesses to detect grace periods after which memory reclamation is
 possible.
 .
 Install this package if you wish to develop your own programs using the
 userspace RCU library.

Package: liburcu8t64
Provides: ${t64:Provides}
Replaces: liburcu8
Breaks: liburcu8 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RCU (read-copy-update) library
 This data synchronization library provides read-side access which scales
 linearly with the number of cores. It does so by allowing multiples copies of
 a given data structure to live at the same time, and by monitoring the data
 structure accesses to detect grace periods after which memory reclamation is
 possible.

Package: liburcu8-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RCU (read-copy-update) library -- udeb
 This is a udeb version of liburcu8.
