## liburcu 0.15.6

=== debian/changelog ===
liburcu (0.15.6-1) unstable; urgency=medium

  * [7565918] New upstream version 0.15.6
  * [54a541b] d/control: Update to new standards

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 26 Jan 2026 13:36:26 -0500
