=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: liburcu
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/liburcu.git
 Vcs-Browser: https://salsa.debian.org/debian/liburcu
